
package icsTables;

import org.w3c.dom.*;

/**
 * Represents the MOC Attribute ICS Table
 * @author MC
 */
public class ICSMOCAttributeTableModel extends ICSTableModel{
    
    /** Creates a new instance of ICSTableMOCAttribute 
     * @param strXMLFile
     * */
    public ICSMOCAttributeTableModel( String strXMLFile) {
        super(strXMLFile);
        init();
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init()
    {
    	strTitle = "MOC Attribute ICS";
        strTableName = "Table 10.4";
        strDescription = "For each supported object as defined in the DIM MOC ICS, a MOC Attribute ICS has to be provided that defines which attributes are used/supported by the implementation.";
        //strXmlFileName = "..\\xml\\ICS-Tool.xml";
        strXsltFileName = "..\\XSLT\\MocAttributeIcs1.xsl";
    }
    /** Creates a new instance of ICSTableMOCAttribute 
     * @param doc
     * */
    public ICSMOCAttributeTableModel( Document doc) {
        super(doc);
        init();
    }
}
